package com.atlassian.bitbucket.permission;

import javax.annotation.Nonnull;

public class SimpleEffectiveGlobalPermission
        extends SimpleEffectivePermissionBase
        implements EffectiveGlobalPermission {

    public SimpleEffectiveGlobalPermission(@Nonnull Permission permission) {
        super(permission);
    }

    @Override
    public <T> T accept(@Nonnull EffectivePermissionVisitor<T> visitor) {
        return visitor.visit(this);
    }
}
